package com.wechat.model.dbEntity;

public class MdeActivityDetail extends BaseEntity {
    /**
	 * 
	 */
	private static final long serialVersionUID = -1756242149628656208L;

	private String prizeNameCn;

    private String prizeNameEn;

    //兑换条件-中文
    private String conditionCn;
    //兑换条件-英文
    private String conditionEn;
    //兑换值-优质会员
    private Integer exchangeQuality;
    //兑换值-普通会员
    private Integer exchangeNormal;
    //奖品图-PC
    private String imgPc;
    //奖品图-手机
    private String imgMobile;

    private Integer sort;

    private String prizeId;

    private Integer actId;

    public String getPrizeId() {
        return prizeId;
    }

    public void setPrizeId(String prizeId) {
        this.prizeId = prizeId == null ? null : prizeId.trim();
    }

    public Integer getActId() {
        return actId;
    }

    public void setActId(Integer actId) {
        this.actId = actId;
    }
    
    public String getPrizeNameCn() {
        return prizeNameCn;
    }

    public void setPrizeNameCn(String prizeNameCn) {
        this.prizeNameCn = prizeNameCn == null ? null : prizeNameCn.trim();
    }

    public String getPrizeNameEn() {
        return prizeNameEn;
    }

    public void setPrizeNameEn(String prizeNameEn) {
        this.prizeNameEn = prizeNameEn == null ? null : prizeNameEn.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

	public String getConditionCn() {
		return conditionCn;
	}

	public void setConditionCn(String conditionCn) {
		this.conditionCn = conditionCn;
	}

	public String getConditionEn() {
		return conditionEn;
	}

	public String getImgPc() {
		return imgPc;
	}

	public void setImgPc(String imgPc) {
		this.imgPc = imgPc;
	}

	public String getImgMobile() {
		return imgMobile;
	}

	public void setImgMobile(String imgMobile) {
		this.imgMobile = imgMobile;
	}

	public void setConditionEn(String conditionEn) {
		this.conditionEn = conditionEn;
	}

	public Integer getExchangeQuality() {
		return exchangeQuality;
	}

	public void setExchangeQuality(Integer exchangeQuality) {
		this.exchangeQuality = exchangeQuality;
	}

	public Integer getExchangeNormal() {
		return exchangeNormal;
	}

	public void setExchangeNormal(Integer exchangeNormal) {
		this.exchangeNormal = exchangeNormal;
	}

}